Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2020886 - Review Request: python-cyipopt - Cython interface for the interior point optimizer IPOPT
Summary: Review Request: python-cyipopt - Cython interface for the interior point opti...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Vanessa Christopher
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: fedora-neuro, NeuroFedora
TreeView+ depends on / blocked
 
Reported: 2021-11-06 21:27 UTC by Ben Beasley
Modified: 2022-02-11 01:21 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-02-02 17:48:47 UTC
Type: ---
Embargoed:
vanessaigwe1: fedora-review+


Attachments (Terms of Use)

Description Ben Beasley 2021-11-06 21:27:25 UTC
Spec URL: https://music.fedorapeople.org/python-cyipopt.spec
SRPM URL: https://music.fedorapeople.org/python-cyipopt-1.1.0-1.fc35.src.rpm
Description:

Ipopt (Interior Point OPTimizer, pronounced eye-pea-opt) is a software package
for large-scale nonlinear optimization. Ipopt is available from the COIN-OR
initiative, under the Eclipse Public License (EPL).

cyipopt is a Python wrapper around Ipopt. It enables using Ipopt from the
comfort of the Python programming language.

Fedora Account System Username: music

Koji scratch builds:

F36: https://koji.fedoraproject.org/koji/taskinfo?taskID=78442489
F35: https://koji.fedoraproject.org/koji/taskinfo?taskID=78442490
F34: https://koji.fedoraproject.org/koji/taskinfo?taskID=78442491

Comment 1 Ben Beasley 2021-12-07 15:01:30 UTC
Simplified the documentation build by replacing a temporary installation of the wheel with a heuristic search for a correct PYTHONPATH containing the compiled extension. See https://bugzilla.redhat.com/show_bug.cgi?id=2029651#c8 and preceding discussion.

Reduced LaTeX build verbosity.

New spec URL: https://music.fedorapeople.org/20211207/python-cyipopt.spec
New SRPM URL: https://music.fedorapeople.org/20211207/python-cyipopt-1.1.0-1.fc35.src.rpm

Koji scratch builds:

F36: https://koji.fedoraproject.org/koji/taskinfo?taskID=79682941
F35: https://koji.fedoraproject.org/koji/taskinfo?taskID=79683231
F34: https://koji.fedoraproject.org/koji/taskinfo?taskID=79683220

Comment 2 Ben Beasley 2021-12-28 13:56:56 UTC
Used the new provisional %pyproject_build_lib macro for the documentation build. Standardized on python3dist(…) rather than %{py3_dist …} style manual BR’s.

New spec URL: https://music.fedorapeople.org/20211228/python-cyipopt.spec
New SRPM URL: https://music.fedorapeople.org/20211228/python-cyipopt-1.1.0-1.fc35.src.rpm

Koji scratch builds:

F36: https://koji.fedoraproject.org/koji/taskinfo?taskID=80567196
F35: https://koji.fedoraproject.org/koji/taskinfo?taskID=80567197
F34: https://koji.fedoraproject.org/koji/taskinfo?taskID=80567198

Comment 3 Luna Jernberg 2022-01-17 13:41:16 UTC
#info from todays meeting:  we'll review this this/next week

Comment 4 Vanessa Christopher 2022-01-25 16:36:52 UTC
This is a pre-review

looks good.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Dist tag is present.


===== MUST items =====

C/C++:
[ ]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "Eclipse Public License 1.0", "*No
     copyright* Eclipse Public License". 38 files have unknown license.
     Detailed output of licensecheck in
     /home/vanessa/Desktop/reviews/2020886-python-cyipopt/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python3-cyipopt
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
rpmlint: 2.1.0
configuration:
    /usr/lib/python3.10/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/licenses.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
checks: 31, packages: 1

python3-cyipopt.x86_64: W: no-documentation
python3-cyipopt.x86_64: W: files-duplicate /usr/lib64/python3.10/site-packages/cyipopt/tests/unit/test_options.py /usr/lib64/python3.10/site-packages/cyipopt/tests/__init__.py:/usr/lib64/python3.10/site-packages/cyipopt/tests/integration/__init__.py:/usr/lib64/python3.10/site-packages/cyipopt/tests/integration/test_lasso.py:/usr/lib64/python3.10/site-packages/cyipopt/tests/integration/test_rosen.py:/usr/lib64/python3.10/site-packages/cyipopt/tests/unit/__init__.py:/usr/lib64/python3.10/site-packages/cyipopt/tests/unit/test_defaults.py:/usr/lib64/python3.10/site-packages/cyipopt/tests/unit/test_errors.py:/usr/lib64/python3.10/site-packages/cyipopt/tests/unit/test_exceptions.py:/usr/lib64/python3.10/site-packages/cyipopt/tests/unit/test_ipopt_funcs.py
 1 packages and 0 specfiles checked; 0 errors, 2 warnings, 0 badness; has taken 0.4 s 



Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Unversioned so-files
--------------------
python3-cyipopt: /usr/lib64/python3.10/site-packages/ipopt_wrapper.cpython-310-x86_64-linux-gnu.so

Source checksums
----------------
https://github.com/mechmotum/cyipopt/archive/v1.1.0/cyipopt-1.1.0.tar.gz :
  CHECKSUM(SHA256) this package     : 6c45ad26cbb1e14d71455959aff07b9068918c43b2565bc7216e91e43c8164ee
  CHECKSUM(SHA256) upstream package : 6c45ad26cbb1e14d71455959aff07b9068918c43b2565bc7216e91e43c8164ee


Requires
--------
python3-cyipopt (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libipopt.so.3()(64bit)
    python(abi)
    python3.10dist(cython)
    python3.10dist(numpy)
    python3.10dist(setuptools)
    rtld(GNU_HASH)

python-cyipopt-doc (rpmlib, GLIBC filtered):

python-cyipopt-debugsource (rpmlib, GLIBC filtered):



Provides
--------
python3-cyipopt:
    python-cyipopt
    python-ipopt
    python-ipopt_wrapper
    python3-cyipopt
    python3-cyipopt(x86-64)
    python3-ipopt
    python3-ipopt_wrapper
    python3.10-cyipopt
    python3.10-ipopt
    python3.10-ipopt_wrapper
    python3.10dist(cyipopt)
    python3dist(cyipopt)

python-cyipopt-doc:
    python-cyipopt-doc

python-cyipopt-debugsource:
    python-cyipopt-debugsource
    python-cyipopt-debugsource(x86-64)



Generated by fedora-review 0.7.6 (b083f91) last change: 2020-11-10
Command line :/usr/bin/fedora-review -b 2020886
Buildroot used: fedora-rawhide-x86_64 
Active plugins: Shell-api, Python, Generic
Disabled plugins: C/C++, Haskell, Ocaml, R, SugarActivity, PHP, Java, fonts, Perl
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 5 Vanessa Christopher 2022-01-26 09:35:52 UTC
looks good.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Dist tag is present.


===== MUST items =====

C/C++:
[-]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "Eclipse Public License 1.0", "*No
     copyright* Eclipse Public License". 38 files have unknown license.
     Detailed output of licensecheck in
     /home/vanessa/Desktop/reviews/2020886-python-cyipopt/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python3-cyipopt
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
rpmlint: 2.1.0
configuration:
    /usr/lib/python3.10/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/licenses.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
checks: 31, packages: 1

python3-cyipopt.x86_64: W: no-documentation
python3-cyipopt.x86_64: W: files-duplicate /usr/lib64/python3.10/site-packages/cyipopt/tests/unit/test_options.py /usr/lib64/python3.10/site-packages/cyipopt/tests/__init__.py:/usr/lib64/python3.10/site-packages/cyipopt/tests/integration/__init__.py:/usr/lib64/python3.10/site-packages/cyipopt/tests/integration/test_lasso.py:/usr/lib64/python3.10/site-packages/cyipopt/tests/integration/test_rosen.py:/usr/lib64/python3.10/site-packages/cyipopt/tests/unit/__init__.py:/usr/lib64/python3.10/site-packages/cyipopt/tests/unit/test_defaults.py:/usr/lib64/python3.10/site-packages/cyipopt/tests/unit/test_errors.py:/usr/lib64/python3.10/site-packages/cyipopt/tests/unit/test_exceptions.py:/usr/lib64/python3.10/site-packages/cyipopt/tests/unit/test_ipopt_funcs.py
 1 packages and 0 specfiles checked; 0 errors, 2 warnings, 0 badness; has taken 0.4 s 



Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Unversioned so-files
--------------------
python3-cyipopt: /usr/lib64/python3.10/site-packages/ipopt_wrapper.cpython-310-x86_64-linux-gnu.so

Source checksums
----------------
https://github.com/mechmotum/cyipopt/archive/v1.1.0/cyipopt-1.1.0.tar.gz :
  CHECKSUM(SHA256) this package     : 6c45ad26cbb1e14d71455959aff07b9068918c43b2565bc7216e91e43c8164ee
  CHECKSUM(SHA256) upstream package : 6c45ad26cbb1e14d71455959aff07b9068918c43b2565bc7216e91e43c8164ee


Requires
--------
python3-cyipopt (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libipopt.so.3()(64bit)
    python(abi)
    python3.10dist(cython)
    python3.10dist(numpy)
    python3.10dist(setuptools)
    rtld(GNU_HASH)

python-cyipopt-doc (rpmlib, GLIBC filtered):

python-cyipopt-debugsource (rpmlib, GLIBC filtered):



Provides
--------
python3-cyipopt:
    python-cyipopt
    python-ipopt
    python-ipopt_wrapper
    python3-cyipopt
    python3-cyipopt(x86-64)
    python3-ipopt
    python3-ipopt_wrapper
    python3.10-cyipopt
    python3.10-ipopt
    python3.10-ipopt_wrapper
    python3.10dist(cyipopt)
    python3dist(cyipopt)

python-cyipopt-doc:
    python-cyipopt-doc

python-cyipopt-debugsource:
    python-cyipopt-debugsource
    python-cyipopt-debugsource(x86-64)



Generated by fedora-review 0.7.6 (b083f91) last change: 2020-11-10
Command line :/usr/bin/fedora-review -b 2020886
Buildroot used: fedora-rawhide-x86_64 
Active plugins: Shell-api, Python, Generic
Disabled plugins: C/C++, Haskell, Ocaml, R, SugarActivity, PHP, Java, fonts, Perl
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 6 Ben Beasley 2022-01-26 12:48:45 UTC
Thanks for the review!

Comment 7 Gwyn Ciesla 2022-02-02 15:38:30 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-cyipopt

Comment 8 Fedora Update System 2022-02-02 17:45:00 UTC
FEDORA-2022-55fac30bf4 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-55fac30bf4

Comment 9 Fedora Update System 2022-02-02 17:48:47 UTC
FEDORA-2022-55fac30bf4 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2022-02-02 21:29:55 UTC
FEDORA-2022-03903c61fa has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-03903c61fa

Comment 11 Fedora Update System 2022-02-02 22:15:32 UTC
FEDORA-2022-f91e312dae has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2022-f91e312dae

Comment 12 Fedora Update System 2022-02-03 01:20:12 UTC
FEDORA-2022-f91e312dae has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2022-f91e312dae \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-f91e312dae

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2022-02-03 01:35:54 UTC
FEDORA-2022-03903c61fa has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2022-03903c61fa \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-03903c61fa

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Fedora Update System 2022-02-11 01:10:23 UTC
FEDORA-2022-f91e312dae has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 15 Fedora Update System 2022-02-11 01:21:14 UTC
FEDORA-2022-03903c61fa has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.